# QStackedWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QFrame.

### Constructor

- void QStackedWidget(QWidget parent)

### Constructor Properties

- prototype: The QStackedWidget prototype object

### Prototype Object Properties

The QStackedWidget prototype object inherits properties from the QFrame prototype object and also has the following properties.

- int addWidget(QWidget w)
- QWidget currentWidget()
- int indexOf(QWidget arg__1)
- int insertWidget(int index, QWidget w)
- void removeWidget(QWidget w)
- QWidget widget(int arg__1)

### Instance Properties

QStackedWidget objects inherit properties from the QStackedWidget prototype object and also have the following properties.

- currentIndex
- count